[Qt] Disable plugins on X11 for WK2
[WebKit-https.git] / Tools / qmake / mkspecs / modules / qt_webkit.pri
1 QT.webkit.VERSION = 4.10.0
2 QT.webkit.MAJOR_VERSION = 4
3 QT.webkit.MINOR_VERSION = 10
4 QT.webkit.PATCH_VERSION = 0
5
6 QT.webkit.name = QtWebKit
7 QT.webkit.includes = $$QT_MODULE_INCLUDE_BASE $$QT_MODULE_INCLUDE_BASE/QtWebKit
8 QT.webkit.private_includes = $$QT_MODULE_INCLUDE_BASE/$$QT.webkit.name/$$QT.webkit.VERSION
9 QT.webkit.sources = $$QT_MODULE_BASE
10 QT.webkit.libs = $$QT_MODULE_LIB_BASE
11 QT.webkit.depends = core gui opengl network xmlpatterns script
12
13 !contains(QT_CONFIG, modular)|contains(QT_ELIGIBLE_MODULES, webkit) {
14     QT_CONFIG += webkit
15 } else {
16     warning("Attempted to include $$QT.webkit.name in the build, but it was not enabled in configure.")
17 }
18
19 # This is the old syntax for the WebKit version defines.
20 # We keep them around in case someone was using them.
21 QT_WEBKIT_VERSION = $$QT.webkit.VERSION
22 QT_WEBKIT_MAJOR_VERSION = $$QT.webkit.MAJOR_VERSION
23 QT_WEBKIT_MINOR_VERSION = $$QT.webkit.MINOR_VERSION
24 QT_WEBKIT_PATCH_VERSION = $$QT.webkit.PATCH_VERSION